# $Revision: 1.61 $, $Date: 2010/08/21 19:07:40 $
%include	/usr/lib/rpm/macros.php
%define		_class		DB
%define		_status		beta
%define		_pearname	%{_class}
%define		subver	RC1
%define		rel		2
Summary:	%{_pearname} - Database Abstraction Layer
Summary(pl.UTF-8):	%{_pearname} - Abstrakcyjna warstwa baz danych
Name:		php-pear-%{_pearname}
Version:	1.7.14
Release:	0.%{subver}.%{rel}
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}%{subver}.tgz
# Source0-md5:	30cf27d0790cd763900eea35b4b75c01
URL:		http://pear.php.net/package/DB/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.2.0
Requires:	php-pear
Requires:	php-pear-PEAR-core >= 1:1.0-0.b1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DB is a database abstraction layer providing:
- an OO-style query API
- a DSN (data source name) format for specifying database servers
- prepare/execute (bind) emulation for databases that don't support it
  natively
- a result object for each query response
- portable error codes
- sequence emulation
- sequential and non sequential row fetching as well as bulk fetching
- ordered array, associative array and object formats supported for
  the fetched rows
- row limit support
- transactions support
- table information interface
- DocBook and PHPDoc API documentation

DB layers itself on top of PHP's existing database extensions. The
currently supported extensions are: dbase, fbsql, interbase, informix,
msql, mssql, mysql, oci8, odbc, pgsql and sybase (a DB style interface
to LDAP servers is also avaible from a separate package).

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
DB to warstwa abstrakcji baz danych dająca:
- obiektowo zorientowane API dla zapytań
- format DSN (data source name) do podawania serwerów baz danych
- emulację prepare/execute dla baz danych nie obsługujących natywnie
  tych poleceń
- obiekt wynikowy dla każdej odpowiedzi na zapytanie
- przenośne kody błędów
- emulację sekwencji
- sekwencyjne i niesekwencyjne pobieranie wierszy oraz pobieranie
  masowe
- obsługę danych w formacie tablic uporządkowanych, tablic
  asocjacyjnych i obiektów dla pobieranych wierszy
- obsługę limitu wierszy
- obsługę transakcji
- interfejs do informacji o tabelach
- dokumentację API w formacie DocBook i PHPDoc.

Warstwa DB jest umieszczona powyżej istniejących rozszerzeń baz danych
w PHP. Aktualnie obsługiwane rozszerzenia to: dbase, fbsql, interbase,
informix, msql, mssql, oci8, odbc, pgsql i sybase (podobny do DB
interfejs do serwerów LDAP jest dostępny w osobnym pakiecie).

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/doc/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/*.php
%{php_pear_dir}/%{_class}/*.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-DB.spec,v $
Revision 1.61  2010/08/21 19:07:40  glen
- updated deps with pearize.sh
- release 2

Revision 1.60  2010/08/19 13:40:42  glen
- up to 1.7.14RC1-beta

Revision 1.59  2008/01/31 12:16:06  glen
- rel 2

Revision 1.58  2007-09-21 16:27:32  adamg
- updated to 1.7.13

Revision 1.57  2007/07/04 22:53:24  glen
- updated to 1.7.12

Revision 1.56  2007/02/28 01:40:43  glen
- 1.7.9

Revision 1.55  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.54  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.53  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.52  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.51  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.50  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.49  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.48  2005/11/20 16:26:25  glen
- rel 3

Revision 1.47  2005/10/27 18:32:43  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.46  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.45  2005/09/27 22:13:36  glen
- fix requires for -tests (typo)

Revision 1.44  2005/09/27 22:11:26  glen
- pl for -tests

Revision 1.43  2005/09/27 22:06:16  glen
- include epoch into tests subpackage requires

Revision 1.42  2005/09/21 21:04:01  glen
- fixed dirs

Revision 1.41  2005/09/21 09:26:16  glen
- rel 2

Revision 1.40  2005/09/19 21:43:39  glen
- integer BR

Revision 1.39  2005/09/19 18:43:56  glen
- merged from DEVEL: use new pear packaging system

Revision 1.38.2.2  2005/09/19 17:36:33  glen
- macros moved to rpm-build

Revision 1.38.2.1  2005/09/18 19:26:05  glen
- use php-pear-build

Revision 1.38  2005/05/08 16:42:41  adamg
- updated to 1.7.6

Revision 1.37  2005/03/29 16:46:00  adamg
- updated to 1.7.5

Revision 1.36  2005/03/27 00:57:56  adamg
- updated to 1.7.4

Revision 1.35  2004/12/03 22:03:32  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.34  2004/10/31 22:22:38  paladine
- spaces->tabs
- formatting

Revision 1.33  2004/10/24 17:05:54  paladine
- spelling fixes, uppercases, etc.

Revision 1.32  2004/10/05 14:27:33  adamg
- updated to 1.6.8

Revision 1.31  2004/10/01 19:42:16  adamg
- updated to 1.6.7

Revision 1.30  2004/08/01 17:54:56  adamg
- updated to 1.6.5

Revision 1.29  2004/05/30 13:13:48  adamg
- fixed english information about status of the package

Revision 1.28  2004/05/01 17:13:53  adamg
- updated to 1.6.4

Revision 1.27  2004/04/07 20:36:08  adamg
- updated to 1.6.2

Revision 1.26  2004/03/13 17:26:15  adamg
- updated to 1.6.1

Revision 1.25  2004/02/22 16:25:26  adamg
- updated to 1.6.0
- status changed to stable

Revision 1.24  2004/02/13 19:26:07  adamg
- updated to 1.6.0RC6
- removed bogus changelog entry

Revision 1.22  2004/02/07 08:24:40  adamg
- updated to 1.6.0RC5

Revision 1.21  2004/02/04 18:17:53  adamg
- updated to 1.6.0RC4

Revision 1.20  2004/02/01 21:44:50  adamg
- updated to 1.6.0RC3

Revision 1.19  2003/10/07 20:54:30  adamg
- do not use macros in URL

Revision 1.18  2003/09/14 20:39:19  adamg
- updated to 1.5.0RC2

Revision 1.17  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.16  2003/06/23 13:47:54  adamg
- updated to 1.5.0RC1

Revision 1.15  2003/06/22 17:32:38  adamg
- fixed %%doc

Revision 1.14  2003/05/28 10:50:28  adamg
- massive manual attack: pear packages update

Revision 1.13  2003/05/28 08:58:35  adamg
- massive attack: added source0-md5

Revision 1.12  2003/05/25 06:25:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/01/07 17:09:39  blues
- release 5 - added status info, added dir entry

Revision 1.10  2002/10/14 23:38:30  misto
- new rpm-php-requires/provides scripts
- release 4

Revision 1.9  2002/09/07 05:57:58  blues
- fix in macros

Revision 1.8  2002/07/12 23:03:08  blues
- release 3 (rebuild with new rpm)

Revision 1.7  2002/07/08 23:35:21  blues
- release 2
- tests are now in package
STBR

Revision 1.6  2002/07/04 20:55:13  blues
- 1.3
STBR

Revision 1.5  2002/07/04 01:13:42  blues
- release 2

Revision 1.4  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.3  2002/06/30 12:24:58  qboosh
- pl description

Revision 1.2  2002/06/29 14:21:35  blues
- dir removed

Revision 1.1  2002/06/29 13:10:42  blues
- inital release
